import pandas as pd
import numpy as np
from collections import Counter

def check_age_gender():
	filename = "../anonymized_data/prolific_demographics.csv"
	df = pd.read_csv(filename, usecols=['Participant id', 'Age', 'Sex'])
	user_data_list = df.values.tolist()
	user_set = set()
	age_list = []
	gender_list = []
	for user_id, age, gender in user_data_list:
		try:
			age = int(age)
			age_list.append(age)
		except:
			print(age, type(age))
		gender_list.append(gender)
	print(Counter(age_list))
	print(Counter(gender_list))
	print(np.mean(age_list), np.std(age_list))
	print(144 / 280, 136 / 280)

if __name__ == '__main__':
	check_age_gender()